%define upstream_name	 Lingua-Stem-It
%define upstream_version 0.02

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:	Porter's stemming algorithm for Italian
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		http://search.cpan.org/dist/%{upstream_name}
Source0:	http://search.cpan.org/CPAN/authors/id/A/AC/ACALPINI/%{upstream_name}-%{upstream_version}.tar.bz2

BuildArch:	noarch


%description
This module applies the Porter Stemming Algorithm to its parameters, returning
the stemmed words.

The algorithm is implemented exactly as described in:
http://snowball.tartarus.org/italian/stemmer.html

The code is carefully crafted to work in conjunction with the Lingua::Stem
module by Benjamin Franz, from which some functionalities have been borrowed
(caching and exception list).

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%{__make} test

%install
rm -rf %{buildroot} 
%makeinstall_std

%clean 
rm -rf %{buildroot} 

%files
%defattr(-,root,root)
%doc README
%{perl_vendorlib}/Lingua
%{_mandir}/man3*/*

%changelog

* Sun Jan 13 2013 umeabot <umeabot> 0.20.0-2.mga3
+ Revision: 369054
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 20 2011 jquelin <jquelin> 0.20.0-1.mga1
+ Revision: 26439
- mageia rebuild
- imported package perl-Lingua-Stem-It

